<html>
<head>
<meta HTTP-EQUIV=CONTENT-TYPE CONTENT="text/html; charset=utf-8">
<title>The Impact</title>
</head>
<body text=#000000 bgcolor=#EAE6E4 link=#0000CC vlink=#000080 alink=#0000CC>
<center>
<a href="text0.html">First page</a> <a href="text3.html">Back</a> <a href="text5.html">Continue</a> <a href="text11.html">Last page</a> <a href="index.html">Overview</a> <a href="img4.html">Graphics</a></center><br>
<h1>The impact</h1><p>
<ul><li><h2>There are 1522 library packages in Debian.  Only 8 libraries have the same ABI as they did when Debian made its glibc migration</h2>
<li><h2>Every one of these libs represents a transition when its soname changes</h2>
<li><h2>There are 1018 library packages depending on 618 other libraries</h2>
<li><h2>Every one of these dependencies represents a potential segfault!</h2>
</ul><br>
<h3>Notes:</h3>
</body>
</html>